PooledParallelSenderMBean (Apache Tomcat 10.1.54 API Documentation)
Description: declaration: package: org.apache.catalina.tribes.transport.nio, interface: PooledParallelSenderMBean

# Interface PooledParallelSenderMBean

All Known Implementing Classes:
  `PooledParallelSender`

public interface PooledParallelSenderMBean

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `getDirectBuffer()`
  `int`
  `getInPoolSize()`
  `int`
  `getInUsePoolSize()`
  `int`
  `getKeepAliveCount()`
  `long`
  `getKeepAliveTime()`
  `int`
  `getMaxRetryAttempts()`
  `long`
  `getMaxWait()`
  `boolean`
  `getOoBInline()`
  `int`
  `getPoolSize()`
  `int`
  `getRxBufSize()`
  `boolean`
  `getSoKeepAlive()`
  `boolean`
  `getSoLingerOn()`
  `int`
  `getSoLingerTime()`
  `boolean`
  `getSoReuseAddress()`
  `int`
  `getSoTrafficClass()`
  `boolean`
  `getTcpNoDelay()`
  `boolean`
  `getThrowOnFailedAck()`
  `long`
  `getTimeout()`
  `int`
  `getTxBufSize()`
  `int`
  `getUdpRxBufSize()`
  `int`
  `getUdpTxBufSize()`
  `boolean`
  `isConnected()`

- ## Method Details

  - ### getRxBufSize

    int getRxBufSize()

  - ### getTxBufSize

    int getTxBufSize()

  - ### getUdpRxBufSize

    int getUdpRxBufSize()

  - ### getUdpTxBufSize

    int getUdpTxBufSize()

  - ### getDirectBuffer

    boolean getDirectBuffer()

  - ### getKeepAliveCount

    int getKeepAliveCount()

  - ### getKeepAliveTime

    long getKeepAliveTime()

  - ### getTimeout

    long getTimeout()

  - ### getMaxRetryAttempts

    int getMaxRetryAttempts()

  - ### getOoBInline

    boolean getOoBInline()

  - ### getSoKeepAlive

    boolean getSoKeepAlive()

  - ### getSoLingerOn

    boolean getSoLingerOn()

  - ### getSoLingerTime

    int getSoLingerTime()

  - ### getSoReuseAddress

    boolean getSoReuseAddress()

  - ### getSoTrafficClass

    int getSoTrafficClass()

  - ### getTcpNoDelay

    boolean getTcpNoDelay()

  - ### getThrowOnFailedAck

    boolean getThrowOnFailedAck()

  - ### getPoolSize

    int getPoolSize()

  - ### getMaxWait

    long getMaxWait()

  - ### isConnected

    boolean isConnected()

  - ### getInPoolSize

    int getInPoolSize()

  - ### getInUsePoolSize

    int getInUsePoolSize()